name: Helicona
description: Due to its highly eliptical orbit around its host star, this rock is cold. Oh so very cold.
worldsize:
  X: 384
  Y: 384
ZoneFiles:
  - name: subworlds/StartWorld
  - name: subworlds/Frozen
  - name: subworlds/Default
  - name: subworlds/Surface
    weight: 0.3
  - name: subworlds/Bottom

DefineTagSet:  # Over load some tags to create world specific tag sets, NOT SURE
  FarAndDown: # now we can filter by these
  - NearDepths
  - StartFar
  FarAndUp: # hmm these are ContainsAll, we need Contains, ContainsOne and ContainsAny
  - NearSurface # which can be simplified to ContainsAll or ContainsOne
  - StartFar  
  NearOrAtSurface: 
  - NearSurface
  - AtSurface  
  NearOrAtDepths: 
  - NearDepths
  - AtDepths

UnknownCellsAllowedSubworlds: 
  - tagcommand: Default # By default add in all the Human warm and hot areas
    command: UnionWith
    temperatureRanges: # NOTE: The following Warm/Hot/Cool/Cold has been added, remove them as soon as we have more biomes
      - HumanWarm
      - HumanHot
  - tagcommand: ContainsOne
    tagset: StartNear # tag
    command: UnionWith
    # - name:
    #   - StartWorld
    temperatureRanges: # Filter
      - HumanWarm # Filter values
      - Cool
      - Mild
    # - difficulty:
    #   - easy
    # - resources:
    #   - oil
    # - traversability:
    #   - cavernous
    #   - impassable
  - tagcommand: ContainsOne
    tagset: StartMedium
    command: UnionWith
    temperatureRanges:
     - Mild
     - Cool
     - Cold
     - HumanWarm
     - HumanHot
  - tagcommand: ContainsOne
    tagset: StartFar
    command: UnionWith
    temperatureRanges:
     - HumanWarm
     - HumanHot
     - Cool
     - Cold
     - Hot
  - tagcommand: ContainsAll 
    tagset: FarAndDown
    command: UnionWith
    temperatureRanges:
     - HumanWarm
     - HumanHot
     - VeryHot
     - Hot
  - tagcommand: ContainsAll
    tagset: FarAndUp
    command: UnionWith
    temperatureRanges:
     - VeryCold
     - Cool
     - Cold
  - tagcommand: ContainsOne
    tagset: NearOrAtSurface
    command: Clear
  - tagcommand: ContainsOne
    tagset: NearOrAtSurface
    command: UnionWith
    temperatureRanges:
     - VeryCold
     - ExtremelyCold
  - tagcommand: ContainsOne
    tagset: NearOrAtDepths
    command: Clear
  - tagcommand: ContainsOne
    tagset: NearOrAtDepths
    command: UnionWith
    temperatureRanges:
     - VeryHot
     - ExtremelyHot
